#/usr/bin/perl
use POSIX;

open CMAVO, ">cmavoc2s.tab";
$intro=<>;
chomp $intro;
$intro .= "<br>Converted by Nick Nicholas, nicholas\@uci.edu, " .
    POSIX::strftime("%Y-%m-%d", gmtime(time)) .
    ".<br>.i te galfi fi tu'a la nik. NIkolas. (goi nitcion.) noi se samymrilyjudri \"zoixy. nicholas\@uci.edu \"xy. de'i li " .
    POSIX::strftime("%Ypi'e%mpi'e%d", gmtime(time)) .
    "<hr><b>Lojban<b> - the Logical Language<br>la lojban. po'u le logji bangu<br>http:\/\/www.lojban.org";
print CMAVO " INFO\t$intro\n";
while(<>)
{
    ($cmavo, $selmaho, $gloss,) = 
        m/^ (.{10})  (.{9})  (\S+(\s\S+)*) /x and  do
    {
        $entry = $';
        ($cmavo) = $cmavo =~ m/^\s* (\S+(\s\S+)*) \s* $/x;
        ($selmaho) = $selmaho =~ m/^\s* (\S+) \s* $/x;
        ($entry) = $entry =~ m/^\s* (\S .*) $/x;
        $entry =~ tr/\r//d;
        print CMAVO "$cmavo ($selmaho)\t<b>$selmaho</b> $gloss<br>$entry\n";
    }
    or
        print STDERR $_;
}